# NAME: Cloudflare
# AUTHOR: gitea-shunt-rules
# SOURCE: rule/Surge/Cloudflare/Cloudflare.list + rule/Surge/Cloudflare/Cloudflare_Resolve.list
# UPDATED: 2026-04-26 02:06:42 UTC
# DOMAIN-SUFFIX: 43
# IP-CIDR: 30
# IP-CIDR6: 14
# TOTAL: 87
payload:
  - DOMAIN-SUFFIX,cf-ipfs.com
  - DOMAIN-SUFFIX,cf-ns.com
  - DOMAIN-SUFFIX,cf-ns.net
  - DOMAIN-SUFFIX,cf-ns.site
  - DOMAIN-SUFFIX,cf-ns.tech
  - DOMAIN-SUFFIX,cftest5.cn
  - DOMAIN-SUFFIX,cftest6.cn
  - DOMAIN-SUFFIX,cftest7.com
  - DOMAIN-SUFFIX,cftest8.com
  - DOMAIN-SUFFIX,cloudflare-cn.com
  - DOMAIN-SUFFIX,cloudflare-dns.com
  - DOMAIN-SUFFIX,cloudflare-ipfs.com
  - DOMAIN-SUFFIX,cloudflare-quic.com
  - DOMAIN-SUFFIX,cloudflare.com
  - DOMAIN-SUFFIX,cloudflare.net
  - DOMAIN-SUFFIX,cloudflare.tv
  - DOMAIN-SUFFIX,cloudflareaccess.com
  - DOMAIN-SUFFIX,cloudflareapps.com
  - DOMAIN-SUFFIX,cloudflarebolt.com
  - DOMAIN-SUFFIX,cloudflareclient.com
  - DOMAIN-SUFFIX,cloudflarecn.net
  - DOMAIN-SUFFIX,cloudflareinsights-cn.com
  - DOMAIN-SUFFIX,cloudflareinsights.com
  - DOMAIN-SUFFIX,cloudflareok.com
  - DOMAIN-SUFFIX,cloudflarepreview.com
  - DOMAIN-SUFFIX,cloudflareprod.com
  - DOMAIN-SUFFIX,cloudflareresolve.com
  - DOMAIN-SUFFIX,cloudflaressl.com
  - DOMAIN-SUFFIX,cloudflarestaging.com
  - DOMAIN-SUFFIX,cloudflarestatus.com
  - DOMAIN-SUFFIX,cloudflarestorage.com
  - DOMAIN-SUFFIX,cloudflarestoragegw.com
  - DOMAIN-SUFFIX,cloudflarestream.com
  - DOMAIN-SUFFIX,cloudflaretest.com
  - DOMAIN-SUFFIX,cloudflarewarp.com
  - DOMAIN-SUFFIX,every1dns.net
  - DOMAIN-SUFFIX,one.one.one
  - DOMAIN-SUFFIX,pacloudflare.com
  - DOMAIN-SUFFIX,pages.dev
  - DOMAIN-SUFFIX,trycloudflare.com
  - DOMAIN-SUFFIX,videodelivery.net
  - DOMAIN-SUFFIX,warp.plus
  - DOMAIN-SUFFIX,workers.dev
  - IP-CIDR,103.21.244.0/22
  - IP-CIDR,103.22.200.0/22
  - IP-CIDR,103.31.4.0/22
  - IP-CIDR,104.16.0.0/13
  - IP-CIDR,104.24.0.0/14
  - IP-CIDR,108.162.192.0/18
  - IP-CIDR,131.0.72.0/22
  - IP-CIDR,141.101.64.0/18
  - IP-CIDR,162.158.0.0/15
  - IP-CIDR,172.64.0.0/13
  - IP-CIDR,173.245.48.0/20
  - IP-CIDR,188.114.96.0/20
  - IP-CIDR,190.93.240.0/20
  - IP-CIDR,197.234.240.0/22
  - IP-CIDR,198.41.128.0/17
  - IP-CIDR6,2400:cb00::/32
  - IP-CIDR6,2405:8100::/32
  - IP-CIDR6,2405:b500::/32
  - IP-CIDR6,2606:4700::/32
  - IP-CIDR6,2803:f800::/32
  - IP-CIDR6,2a06:98c0::/29
  - IP-CIDR6,2c0f:f248::/32
  - IP-CIDR,103.21.244.0/22
  - IP-CIDR,103.22.200.0/22
  - IP-CIDR,103.31.4.0/22
  - IP-CIDR,104.16.0.0/13
  - IP-CIDR,104.24.0.0/14
  - IP-CIDR,108.162.192.0/18
  - IP-CIDR,131.0.72.0/22
  - IP-CIDR,141.101.64.0/18
  - IP-CIDR,162.158.0.0/15
  - IP-CIDR,172.64.0.0/13
  - IP-CIDR,173.245.48.0/20
  - IP-CIDR,188.114.96.0/20
  - IP-CIDR,190.93.240.0/20
  - IP-CIDR,197.234.240.0/22
  - IP-CIDR,198.41.128.0/17
  - IP-CIDR6,2400:cb00::/32
  - IP-CIDR6,2405:8100::/32
  - IP-CIDR6,2405:b500::/32
  - IP-CIDR6,2606:4700::/32
  - IP-CIDR6,2803:f800::/32
  - IP-CIDR6,2a06:98c0::/29
  - IP-CIDR6,2c0f:f248::/32
